Bug#647320: gnome-control-center: gnome-keyboard-properties' add layout screen should, default to the users default language

Anton Eliasson devel at antoneliasson.se
Tue Nov 1 20:39:19 UTC 2011

Package: gnome-control-center
Version: 1:2.30.1-3
Severity: wishlist

Dear Maintainer,
When the add layout window is opened, the default entries in the Country and
Language lists are the first ones in each list, while the user is
probably looking
for some layout relevant to their specified country or language (for
instance a
local variant of Dvorak). This could mean a lot of scrolling down the list
(since you also can't type the first letter of the word like in some
lists). I
suggest that the lists' default entry is instead set to the current selected
language or country.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-control-center depends on:
ii  capplets-data              1:2.30.1-3
ii  desktop-file-utils         0.15-2
ii  evolution-data-server      3.0.3-1
ii  gnome-desktop-data         2.30.2-2
ii  gnome-icon-theme 
ii  gnome-menus                2.30.3-2+b1
ii  gnome-settings-daemon      2.30.2-4
ii  libatk1.0-0                2.2.0-2
ii  libc6                      2.13-21
ii  libcairo2                  1.10.2-6.1
ii  libcanberra-gtk0           0.28-3
ii  libcanberra0               0.28-3
ii  libdbus-glib-1-2           0.98-1
ii  libebook1.2-10             3.0.3-1
ii  libfontconfig1             2.8.0-3
ii  libfreetype6               2.4.6-2
ii  libgconf2-4                2.32.4-1
ii  libglib2.0-0               2.28.6-1
ii  libgnome-desktop-2-17      2.30.2-2
ii  libgnome-window-settings1  1:2.30.1-3
ii  libgnomekbd4               2.30.2-2
ii  libgtk2.0-0                2.24.6-2
ii  libmetacity-private0       1:2.30.1-3
ii  libpango1.0-0              1.29.4-1
ii  libslab0a                  2.30.0-1
ii  libunique-1.0-0            1.1.6-2
ii  libx11-6                   2:1.4.4-2
ii  libxcursor1                1:1.1.12-1
ii  libxft2                    2.2.0-3
ii  libxi6                     2:1.4.3-3
ii  libxklavier16              5.1-2
ii  libxml2                    2.7.8.dfsg-5
ii  libxss1                    1:1.2.1-2

Versions of packages gnome-control-center recommends:
ii  bzip2              1.0.5-7
ii  gnome-session      2.30.2-3+sid2
ii  gnome-user-guide   3.2.1-1
ii  policykit-1-gnome  0.102-2

Versions of packages gnome-control-center suggests:
ii  gnome-screensaver                                     2.30.0-3
ii  gstreamer0.10-alsa [gstreamer0.10-audiosink]          0.10.35-1
ii  gstreamer0.10-gconf [gstreamer0.10-audiosink]         0.10.30-1.1
ii  gstreamer0.10-plugins-bad [gstreamer0.10-audiosink]   0.10.22-3
ii  gstreamer0.10-plugins-good [gstreamer0.10-audiosink]  0.10.30-1.1
ii  gstreamer0.10-pulseaudio [gstreamer0.10-audiosink]    0.10.30-1.1
ii  libcanberra-gtk-module                                0.28-3
ii  x11-xserver-utils                                     7.6+3

More information about the pkg-gnome-maintainers mailing list